Bug 1213365 (CVE-2015-3149) - CVE-2015-3149 OpenJDK8: insecure hsperfdata temporary file handling, CVE-2015-0383 regression (Hotspot)
Summary: CVE-2015-3149 OpenJDK8: insecure hsperfdata temporary file handling, CVE-2015...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3149
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20140420,reported=2...
Depends On: 1213381
Blocks: 1235167
TreeView+ depends on / blocked
 
Reported: 2015-04-20 11:31 UTC by Tomas Hoger
Modified: 2019-06-08 20:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-15 13:17:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1228 normal SHIPPED_LIVE Important: java-1.8.0-openjdk security update 2015-07-15 16:37:01 UTC

Description Tomas Hoger 2015-04-20 11:31:13 UTC
It was discovered that the java-1.8.0-openjdk packages for Red Hat Enterprise Linux released via RHSA-2015:0809 (https://rhn.redhat.com/errata/RHSA-2015-0809.html) regressed the fix for the CVE-2015-0383 (bug 1123870) issue - "OpenJDK: insecure hsperfdata temporary file handling (Hotspot, 8050807)".  This regression makes it possible to exploit the original issue and allow local attacker to make other users of OpenJDK 8 packages to overwrite arbitrary file via a symlink attack.  Refer to bug 1123870 for technical details.

Comment 2 Tomas Hoger 2015-04-20 11:35:11 UTC
This issue also affected java-1.8.0-openjdk-1.8.0.45-31.b13 Fedora packages (currently only in updates-testing repository).

Comment 4 Tomas Hoger 2015-04-20 12:45:20 UTC
Created java-1.8.0-openjdk tracking bugs for this issue:

Affects: fedora-all [bug 1213381]

Comment 5 errata-xmlrpc 2015-07-15 12:37:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1228 https://rhn.redhat.com/errata/RHSA-2015-1228.html


Note You need to log in before you can comment on or make changes to this bug.